/**
 * Created by agusdutra on 2/12/16.
 */
import {Component, NgModule, OnInit} from '@angular/core';
import {StudyFull} from '../../../model/study_full';
import {StudyService} from "../../../services/study.service";
import { ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'studies-list-component',
  templateUrl: 'studieslist.component.html',
  styleUrls: ['studieslist.component.css'],
})

export class StudiesListComponent implements OnInit{
  studiesFull: StudyFull[];
  selectedStudy: StudyFull;

  constructor(private _studyService: StudyService) {
    this.studiesFull = _studyService.getAllStudyFull();
  }

  ngOnInit() {

  }

  onRowSelect(event) {
    alert("algo! "+ event.valueOf().id);

  }



}
